Skip to main content
PATCH
Rename, reschedule or change governance

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

pipeline_id
string<uuid>
required

The pipeline's id.

Body

application/json

Only the fields sent change; schedule: null makes it run on demand.

name
string | null
schedule
string | null
governance
Governance · object | null

Response

Successful Response

id
string<uuid>
required
name
string
required
source_kind
enum<string>
required
Available options:
file,
database,
lakehouse,
saas
source_summary
string
required
target_table
string
required
mode
enum<string>
required
Available options:
append,
overwrite,
merge
schedule_label
string
required
status
enum<string>
required
Available options:
healthy,
failed,
running,
stale,
paused,
new
owner
string
required
can_edit
boolean
required
governance
Governance · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
schedule
string | null
last_run
RunSummary · object | null
rows_7d
integer
default:0
merge_keys
string[]
job_id
string<uuid> | null
airflow_url
string | null
spec
Spec · object
latest_error
LatestError · object | null